> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a prompt

> Delete a prompt and all its versions, tags, and labels by identifier.



## OpenAPI

````yaml delete /v1/prompts/{prompt_identifier}
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/prompts/{prompt_identifier}:
    delete:
      tags:
        - prompts
      summary: Delete a prompt
      description: Delete a prompt and all its versions, tags, and labels by identifier.
      operationId: deletePrompt
      parameters:
        - name: prompt_identifier
          in: path
          required: true
          schema:
            type: string
            description: The identifier of the prompt, i.e. name or ID.
            title: Prompt Identifier
          description: The identifier of the prompt, i.e. name or ID.
      responses:
        '204':
          description: Successful Response
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '404':
          content:
            text/plain:
              schema:
                type: string
          description: Not Found
        '422':
          content:
            text/plain:
              schema:
                type: string
          description: Unprocessable Entity

````